import cx from 'classnames';
export var COLORS = {
  CANVAS: 'canvas',
  ACCENT: 'accent',
  BASE: 'base',
  DARK: 'dark',
  CONTRAST: 'contrast',
  CORPORATE: 'corporate',
  DEFAULT: 'default',
  HIGHLIGHT: 'highlight',
  SUCCESS: 'success',
  ALERT: 'alert',
  ERROR: 'error'
};
export var ALPHA = {
  CONTRAST: '100',
  OVERLAY_D4: '75',
  OVERLAY_D3: '50',
  OVERLAY_D2: '25',
  OVERLAY_D1: '15'
};
export var BORDER_RADIUS = {
  NONE: 'none',
  M: 'm',
  L: 'l',
  XL: 'xl'
};
export var ELEVATION = {
  NONE: 'none',
  S: 's',
  M: 'm',
  L: 'l'
};
export var isImagePanel = function isImagePanel(_ref) {
  var src = _ref.src;
  return !!src;
};
export var HORIZONTAL_ALIGNMENTS = {
  LEFT: 'left',
  CENTER: 'center',
  RIGHT: 'right'
};
export var VERTICAL_ALIGNMENTS = {
  TOP: 'top',
  CENTER: 'center',
  BOTTOM: 'bottom'
};
export var DEFAULT_ALPHA = 'CONTRAST';
export var DEFAULT_COLOR = 'ACCENT';
export var getClassNames = function getClassNames(_ref2) {
  var color = _ref2.color,
      alpha = _ref2.alpha,
      rounded = _ref2.rounded,
      elevation = _ref2.elevation;
  var BASE_CLASS = 'sui-atom-panel';
  var COLOR_PANEL_CLASS = 'sui-atom-panel-color';
  return cx(BASE_CLASS, rounded !== BORDER_RADIUS.NONE && BASE_CLASS + "--rounded-" + rounded, COLOR_PANEL_CLASS, color && COLOR_PANEL_CLASS + "--" + color + "-" + alpha, elevation !== ELEVATION.NONE && BASE_CLASS + "--elevation-" + elevation);
};